import React from 'react'
import { withStyles } from '@material-ui/core/styles'
import MuiCircularProgress, {
  CircularProgressProps,
} from '@material-ui/core/CircularProgress'

const SpinnerBase = withStyles({
  root: {
    color: 'var(--black)',
  },
})(MuiCircularProgress)

type StyledBlackSpinnerProps = CircularProgressProps

const StyledBlackSpinner: React.ComponentType<StyledBlackSpinnerProps> = ({
  ...props
}: StyledBlackSpinnerProps) => {
  return <SpinnerBase {...props} />
}

export default StyledBlackSpinner
